Subject: Re: [netmod] Y57: non-unique leaf-list

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 6 Mar 2015 08:31:53 +0100

On Tue, Feb 24, 2015 at 06:42:27PM +0100, Balazs Lengyel wrote:
> Hello Juergen,
> 1) You misunderstood me. What is now under Y57-3 is actually a merge of 
> Y57-1 and Y57-2.
> -1 and -2 were never alternatives, they were two parts of the same 
> proposal, so to make life easier they should be merged. Please remove 
> the current -1 and -2 and use the updated/attached version of  -3 as the 
> one and only new -1 proposal.

You could have mentioned this earlier. Anyway, I prefer to keep the
numbering stable.
 
> 2) About, motivation (a.k.a problem statement) I propose to change the 
> beginning of the text to:
> "In the number of cases we need to model a list of simple items that do 
> not need or have a key value. Leaf-lists are used for this in YANG. 
> However sometimes a value needs to be included multiple times in the 
> leaf-list.  In YANG 1.0 all values in a leaf-list MUST be unique. The 
> proposal is to relax this in YANG 1.1.
> Examples where nonUnique leaf-list are needed include:
> - list of AS-Paths
> - list of queuing weights in a scheduler"
> 
> So the new text of Y57 considering 1) and 2) above should be the text I 
> attached here. That should replace everything that is in Y57 today.

I have updated the problem statement and Y57-03 with the new
text. Please check that I got this right this time. Note that it helps
me quite a bit if you send a unified context diff towards the
issues.txt file.
 
> 3) As there were no opposing emails on the list can we move it forward 
> to EDIT status?

No. I think this needs some review and discussion and since we do an
explicit VFRY on all issues, we will do this here as well. The first
step is to make sure what what is now in Y57-03 is correct.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>